package com.nasc.custom.mapper;

import com.nasc.custom.domain.NascDealRecord;

import java.util.List;
import java.util.Map;

/**
 * @Author: Yujianq
 * @Date: 2024/6/4 16:38
 * @Description: 受理记录表
 * @return:
 */
public interface NascDealRecordMapper {

    /**
     * @Author: Yujianq
     * @Date: 2024/6/5 10:50
     * @Description: 新增打印日志
     * @param dealRecord
     * @return: int
     */
    int insertDealRecord(NascDealRecord dealRecord);

    List<Map<String, Object>> selectDealRecordList(NascDealRecord dealRecord);

    Map<String, Object> getDealRecordById(Long id);

    int updateDealRecordStatus(NascDealRecord dealRecord);

    int updateDealRecord(NascDealRecord dealRecord);
}
